Bug 249740 - net-mgmt/flowd: depends on python 2.x
Summary: net-mgmt/flowd: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:33 UTC by Steve Wills
Modified: 2021-01-01 16:37 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:33:15 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Muhammad Moinur Rahman freebsd_committer 2020-10-27 17:22:17 UTC
PYTHON Dependency is not in OPTIONS_DEFAULT. And I would like to remove the option PYTHON while python2 is gone? What should be the best approach? Delete the option now or wait and resurrect after deletion?
Comment 2 Rene Ladan freebsd_committer 2021-01-01 16:36:21 UTC
Optional Python support removed for now.
Comment 3 commit-hook freebsd_committer 2021-01-01 16:37:06 UTC
A commit references this bug:

Author: rene
Date: Fri Jan  1 16:36:06 UTC 2021
New revision: 559850
URL: https://svnweb.freebsd.org/changeset/ports/559850

Log:
  net-mgmt/flowd: remove optional support for expired Python2.7

  Also suggested by maintainer (bofh)

  PR:		249740
  Submitted by:	swills

Changes:
  head/net-mgmt/flowd/Makefile
  head/net-mgmt/flowd/pkg-descr
  head/net-mgmt/flowd/pkg-plist